package com.chenyang.nse.bussiness.entity.orm.table.core.discovery;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_DISCOVERY_TASK"
)
public class TcoreDiscoveryTask extends TInitEntity {
   private Date createtime;
   private Date updatetime;
   private String tname;
   private String curversion;
   private String isrelease;
   private String isdmpflag;
   private String dmptype;
   private String discoverytype;
   @Transient
   private String countResult;
   private String cyfs;
   private String cys;
   private String ppl;
   private String username;
   private String sysname;
   private String dbtype;
   private String taskstatus;
   private String projectid;
   private String datasystemid;
   private String resultid;
   private String multidmptype;
   private String alltableschema;
   private String autofindresultid;

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getTname() {
      return this.tname;
   }

   public void setTname(String tname) {
      this.tname = tname;
   }

   public String getCurversion() {
      return this.curversion;
   }

   public void setCurversion(String curversion) {
      this.curversion = curversion;
   }

   public String getIsrelease() {
      return this.isrelease;
   }

   public void setIsrelease(String isrelease) {
      this.isrelease = isrelease;
   }

   public String getIsdmpflag() {
      return this.isdmpflag;
   }

   public void setIsdmpflag(String isdmpflag) {
      this.isdmpflag = isdmpflag;
   }

   public String getDmptype() {
      return this.dmptype;
   }

   public void setDmptype(String dmptype) {
      this.dmptype = dmptype;
   }

   public String getDiscoverytype() {
      return this.discoverytype;
   }

   public void setDiscoverytype(String discoverytype) {
      this.discoverytype = discoverytype;
   }

   public String getCyfs() {
      return this.cyfs;
   }

   public void setCyfs(String cyfs) {
      this.cyfs = cyfs;
   }

   public String getCys() {
      return this.cys;
   }

   public void setCys(String cys) {
      this.cys = cys;
   }

   public String getPpl() {
      return this.ppl;
   }

   public void setPpl(String ppl) {
      this.ppl = ppl;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getSysname() {
      return this.sysname;
   }

   public void setSysname(String sysname) {
      this.sysname = sysname;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getTaskstatus() {
      return this.taskstatus;
   }

   public void setTaskstatus(String taskstatus) {
      this.taskstatus = taskstatus;
   }

   public String getResultid() {
      return this.resultid;
   }

   public void setResultid(String resultid) {
      this.resultid = resultid;
   }

   public String getMultidmptype() {
      return this.multidmptype;
   }

   public void setMultidmptype(String multidmptype) {
      this.multidmptype = multidmptype;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getCountResult() {
      return this.countResult;
   }

   public void setCountResult(String countResult) {
      this.countResult = countResult;
   }

   public String getAlltableschema() {
      return this.alltableschema;
   }

   public void setAlltableschema(String alltableschema) {
      this.alltableschema = alltableschema;
   }

   public String getAutofindresultid() {
      return this.autofindresultid;
   }

   public void setAutofindresultid(String autofindresultid) {
      this.autofindresultid = autofindresultid;
   }
}
